Index: LMDZ6/trunk/libf/phylmd/cosp/read_cosp_output_nl.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/cosp/read_cosp_output_nl.F90	(revision 3055)
+++ LMDZ6/trunk/libf/phylmd/cosp/read_cosp_output_nl.F90	(revision 3057)
@@ -79,10 +79,11 @@
   CALL bcast(Lmisr_sim)
   CALL bcast(Lrttov_sim)
+
   CALL bcast(Lalbisccp)
   CALL bcast(Latb532)
   CALL bcast(Lboxptopisccp)
   CALL bcast(Lboxtauisccp)
-  CALL bcast(Lcfad_dbze94)
-  CALL bcast(Lcfad_lidarsr532)
+  CALL bcast(LcfadDbze94)
+  CALL bcast(LcfadLidarsr532)
   CALL bcast(Lclcalipso2)
   CALL bcast(Lclcalipso)
@@ -107,19 +108,19 @@
   CALL bcast(Lcllcalipsoice) 
   CALL bcast(Lcllcalipsoun)
-  CALL bcast(Lclisccp2)
+  CALL bcast(Lclisccp)
   CALL bcast(Lcllcalipso)
   CALL bcast(Lclmcalipso)
   CALL bcast(Lcltcalipso)
   CALL bcast(Lcltlidarradar)
-  CALL bcast(Lctpisccp)
+  CALL bcast(Lpctisccp)
   CALL bcast(Ldbze94)
   CALL bcast(Ltauisccp)
   CALL bcast(Lcltisccp)
-  CALL bcast(Lparasol_refl)
+  CALL bcast(LparasolRefl)
   CALL bcast(LclMISR)
   CALL bcast(Lmeantbisccp)
   CALL bcast(Lmeantbclrisccp)
   CALL bcast(Lfrac_out)
-  CALL bcast(Lbeta_mol532)
+  CALL bcast(LlidarBetaMol532)
   CALL bcast(Lcltmodis)
   CALL bcast(Lclwmodis)
@@ -161,12 +162,14 @@
   ! Deal with dependencies
   if (.not.Lradar_sim) then
-    Lcfad_dbze94   = .false.
+    LcfadDbze94   = .false.
     Lclcalipso2    = .false.
-    Lcltlidarradar = .false.
+    Lcltlidarradar = .false. ! Needs radar & lidar
     Ldbze94        = .false.
-  endif
+    Lclcalipso2    = .false. ! Needs radar & lidar
+  endif
+
   if (.not.Llidar_sim) then
-    Latb532 = .false.
-    Lcfad_lidarsr532 = .false.
+    Latb532          = .false.
+    LcfadLidarsr532  = .false.
     Lclcalipso2      = .false.
     Lclcalipso       = .false.
@@ -175,18 +178,18 @@
     Lclmcalipso      = .false.
     Lcltcalipso      = .false.
-    Lcltlidarradar   = .false.
-    Lparasol_refl    = .false.
-    Lbeta_mol532     = .false.
+    Lcltlidarradar   = .false. ! Needs radar & lidar
+    LparasolRefl     = .false.
+    LlidarBetaMol532 = .false.
 !! AI
-    Lclcalipsoliq    = .false.
-    Lclcalipsoice    = .false.
-    Lclcalipsoun    = .false.
-    Lclcalipsotmp    = .false.
-    Lclcalipsotmpun    = .false.
+    Lclcalipsoliq       = .false.
+    Lclcalipsoice       = .false.
+    Lclcalipsoun        = .false.
+    Lclcalipsotmp       = .false.
+    Lclcalipsotmpun     = .false.
     Lclcalipsotmpliq    = .false.
     Lclcalipsotmpice    = .false.
     Lclhcalipsoliq      = .false.
     Lcllcalipsoliq      = .false.
-    Lclmcalipsoliq     = .false.
+    Lclmcalipsoliq      = .false.
     Lcltcalipsoliq      = .false.
     Lclhcalipsoice      = .false.
@@ -194,17 +197,17 @@
     Lclmcalipsoice      = .false.
     Lcltcalipsoice      = .false.
-    Lclhcalipsoun      = .false.
-    Lcllcalipsoun      = .false.
-    Lclmcalipsoun      = .false.
-    Lcltcalipsoun      = .false.
-    Lclopaquecalipso   = .false. !OPAQ
-    Lclthincalipso     = .false. !OPAQ
-    Lclzopaquecalipso  = .false. !OPAQ
-    Lclcalipsoopaque   = .false. !OPAQ
-    Lclcalipsothin     = .false. !OPAQ
-    Lclcalipsozopaque  = .false. !OPAQ
-    Lclcalipsoopacity  = .false. !OPAQ
-    LprofSR            = .false. !TIBO
-    Lproftemp          = .false. !TIBO
+    Lclhcalipsoun       = .false.
+    Lcllcalipsoun       = .false.
+    Lclmcalipsoun       = .false.
+    Lcltcalipsoun       = .false.
+    Lclopaquecalipso    = .false. !OPAQ
+    Lclthincalipso      = .false. !OPAQ
+    Lclzopaquecalipso   = .false. !OPAQ
+    Lclcalipsoopaque    = .false. !OPAQ
+    Lclcalipsothin      = .false. !OPAQ
+    Lclcalipsozopaque   = .false. !OPAQ
+    Lclcalipsoopacity   = .false. !OPAQ
+    LprofSR             = .false. !TIBO
+    Lproftemp           = .false. !TIBO
   endif
 
@@ -213,11 +216,12 @@
     Lboxptopisccp   = .false.
     Lboxtauisccp    = .false.
-    Lclisccp2       = .false.
-    Lctpisccp       = .false.
+    Lclisccp        = .false.
+    Lpctisccp       = .false.
     Ltauisccp       = .false.
-    Ltclisccp       = .false.
+    Lcltisccp       = .false.
     Lmeantbisccp    = .false.
     Lmeantbclrisccp = .false.
   endif
+
   if (.not.Lmisr_sim) then
     LclMISR = .false.