Index: /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3095)
@@ -108,7 +108,7 @@
    <field id="CMIP6_fco2fos"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_fossil_fuel_combustion : This is the prescribed anthropogenic CO2 flux from fossil fuel use, including cement production, and flaring (but not from land-use changes, agricultural burning, forest regrowth, etc.) -->
    <field id="CMIP6_fco2nat"       field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_upward_mass_flux_of_carbon_dioxide_expressed_as_carbon_due_to_emission_from_natural_sources : This is what the atmosphere sees (on its own grid).  This field should be equivalent to the combined natural fluxes of carbon  that account for natural exchanges between the atmosphere and land (nep) or ocean (fgco2) reservoirs. -->
-   <field id="CMIP6_grpllsprof"    field_ref="dummy_XYA"        /> <!-- P2 (kg m-2 s-1) large_scale_graupel_flux : unset -->
-   <field id="CMIP6_grplmxrat"     field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_graupel_in_air : Graupel mixing ratio -->
-   <field id="CMIP6_h2o"           field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_water_in_air : includes all phases of water -->
+   <field id="CMIP6_grpllsprof"    field_ref="dummy_not_provided"         /> <!-- P2 (kg m-2 s-1) large_scale_graupel_flux : unset -->
+   <field id="CMIP6_grplmxrat"     field_ref="dummy_not_provided"         /> <!-- P2 (1.0) mass_fraction_of_graupel_in_air : Graupel mixing ratio -->
+   <field id="CMIP6_h2o"           field_ref="ovap"> ovap+ocond     </field> <!-- P2 (1.0) mass_fraction_of_water_in_air : includes all phases of water -->
    <field id="CMIP6_hcfc22global"  field_ref="dummy_not_provided"         /> <!-- P1 (1e-12) mole_fraction_of_hcfc22_in_air : unset -->
    <field id="CMIP6_hfdsl"         field_ref="bils"> bils*fract_ter </field> <!-- P1 (W m-2) surface_downward_heat_flux_in_air : Downward Heat Flux at Land Surface -->
@@ -123,5 +123,5 @@
    <field id="CMIP6_hursmax"       field_ref="CMIP6_hurs" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (%) relative_humidity : Daily Maximum Near-Surface Relative Humidity -->
    <field id="CMIP6_hursmin"       field_ref="CMIP6_hurs" freq_op="1d"  operation="minimum"> @this </field>    <!-- P1 (%) relative_humidity : Daily Minimum Near-Surface Relative Humidity -->
-   <field id="CMIP6_hursminCrop"   field_ref="dummy_XY"         /> <!-- P1 (%) relative_humidity : minimum near-surface (usually, 2 meter) relative humidity (add cell_method attribute "time: min") -->
+   <field id="CMIP6_hursminCrop"   field_ref="dummy_not_provided"         /> <!-- P1 (%) relative_humidity : minimum near-surface (usually, 2 meter) relative humidity (add cell_method attribute "time: min") -->
    <field id="CMIP6_hus"           field_ref="ovap"             /> <!-- P1 (1.0) specific_humidity : Specific Humidity -->
    <field id="CMIP6_huss"          field_ref="q2m"              /> <!-- P1 (1.0) specific_humidity : Near-surface (usually, 2 meter) specific humidity. -->
@@ -157,8 +157,8 @@
    <field id="CMIP6_lwtoafluxaerocs" field_ref="dummy_XY"       /> <!-- P1 (W m-2) longwave_flux_due_to_volcanic_aerosols_at_TOA_under_clear_sky : downwelling longwave flux due to volcanic aerosols at TOA under clear sky to be diagnosed through double radiation call -->
    <field id="CMIP6_mc"            field_ref="mc"               /> <!-- P3 (kg m-2 s-1) atmosphere_net_upward_convective_mass_flux : The net mass flux should represent the difference between the updraft and downdraft components.  The flux is computed as the mass divided by the area of the grid cell. -->
-   <field id="CMIP6_mcd"           field_ref="dummy_XYA"        /> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
-   <field id="CMIP6_mcu"           field_ref="dummy_XYA"        /> <!-- P1 (kg m-2 s-1) atmosphere_updraft_convective_mass_flux : In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. The atmosphere convective mass flux is the vertical transport of mass for a field of cumulus clouds or thermals, given by the product of air density and vertical velocity. For an area-average, cell_methods should specify whether the average is over all the area or the area of updrafts only. -->
+   <field id="CMIP6_mcd"           field_ref="dnwd"              > abs(dnwd+dnwd0) </field> <!-- P2 (kg m-2 s-1) atmosphere_downdraft_convective_mass_flux : Calculated as the convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
+   <field id="CMIP6_mcu"           field_ref="upwd"             /> <!-- P1 (kg m-2 s-1) atmosphere_updraft_convective_mass_flux : In accordance with common usage in geophysical disciplines, "flux" implies per unit area, called "flux density" in physics. The atmosphere convective mass flux is the vertical transport of mass for a field of cumulus clouds or thermals, given by the product of air density and vertical velocity. For an area-average, cell_methods should specify whether the average is over all the area or the area of updrafts only. -->
    <field id="CMIP6_md"            field_ref="dummy_not_provided"        /> <!-- P1 (kg m-2 s-1) tendency_of_atmosphere_mass_content_of_dust_dry_aerosol_particles_due_to_emission : Balkanski - LSCE -->
-   <field id="CMIP6_mrroLi"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) land_ice_runoff_flux : Runoff flux over land ice is the difference between any available liquid water in the snowpack less any refreezing. Computed as the sum of rainfall and melt of snow or ice less any refreezing or water retained in the snowpack -->
+   <field id="CMIP6_mrroLi"        field_ref="mrroli"                    /> <!-- P1 (kg m-2 s-1) land_ice_runoff_flux : Runoff flux over land ice is the difference between any available liquid water in the snowpack less any refreezing. Computed as the sum of rainfall and melt of snow or ice less any refreezing or water retained in the snowpack -->
    <field id="CMIP6_n2o"           field_ref="dummy_not_provided"        /> <!-- P1 (mol mol-1) mole_fraction_of_nitrous_oxide_in_air : N2O volume mixing ratio -->
    <field id="CMIP6_n2oglobal"     field_ref="N2O_ppb"          /> <!-- P1 (1e-09) mole_fraction_of_nitrous_oxide_in_air : Global mean Nitrous Oxide (N2O) -->
@@ -173,22 +173,22 @@
    <field id="CMIP6_phalf"         field_ref="paprs"            /> <!-- P1 (Pa) air_pressure : Air pressure on model half-levels -->
    <field id="CMIP6_pr"            field_ref="precip"           /> <!-- P1 (kg m-2 s-1) precipitation_flux : includes both liquid and solid phases -->
-   <field id="CMIP6_prCrop"        field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) precipitation_flux : includes both liquid and solid phases -->
+   <field id="CMIP6_prCrop"        field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) precipitation_flux : includes both liquid and solid phases -->
    <field id="CMIP6_prc"           field_ref="pluc"             /> <!-- P1 (kg m-2 s-1) convective_precipitation_flux : Convective precipitation at surface; includes both liquid and solid phases. -->
    <field id="CMIP6_prcprof"       field_ref="pr_con_l"         /> <!-- P2 (kg m-2 s-1) convective_rainfall_flux : unset -->
-   <field id="CMIP6_prcsh"         field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) shallow_convective_precipitation_flux : Convection precipitation from shallow convection -->
+   <field id="CMIP6_prcsh"         field_ref="dummy_no_provided"         /> <!-- P1 (kg m-2 s-1) shallow_convective_precipitation_flux : Convection precipitation from shallow convection -->
    <field id="CMIP6_prhmax"        field_ref="precip" freq_op="1h"  operation="maximum"           >   @this   </field> <!-- P1 (kg m-2 s-1) precipitation_flux : Maximum Hourly Precipitation Rate -->
    <field id="CMIP6_prlsns"        field_ref="snowl"            /> <!-- P2 (kg m-2 s-1) large_scale_snowfall_flux : large-scale precipitation of all forms of water in the solid phase. -->
    <field id="CMIP6_prlsprof"      field_ref="plul"             /> <!-- P2 (kg m-2 s-1) large_scale_rainfall_flux : unset -->
-   <field id="CMIP6_prra"          field_ref="dummy_XY"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : Rainfall rate -->
+   <field id="CMIP6_prra"          field_ref="rain_fall"         /> <!-- P1 (kg m-2 s-1) rainfall_flux : Rainfall rate -->
    <field id="CMIP6_prrc"          field_ref="pluc"             /> <!-- P1 (kg m-2 s-1) convective_rainfall_flux : Convective Rainfall rate -->
-   <field id="CMIP6_prrsn"         field_ref="dummy_XY"         /> <!-- P1 (1) mass_fraction_of_rainfall_onto_snow : The fraction of the grid averaged rainfall which falls on the snow pack -->
+   <field id="CMIP6_prrsn"         field_ref="dummy_not_provided"         /> <!-- P1 (1) mass_fraction_of_rainfall_onto_snow : The fraction of the grid averaged rainfall which falls on the snow pack -->
    <field id="CMIP6_prsn"          field_ref="snow"             /> <!-- P1 (kg m-2 s-1) snowfall_flux : at surface; includes precipitation of all forms of water in the solid phase -->
    <field id="CMIP6_prsnc"         field_ref="pr_con_i"         /> <!-- P2 (kg m-2 s-1) convective_snowfall_flux : convective precipitation of all forms of water in the solid phase. -->
-   <field id="CMIP6_prsnsn"        field_ref="dummy_XY"         /> <!-- P1 (1) mass_fraction_of_snowfall_onto_snow : The fraction of the snowfall which falls on the snow pack -->
+   <field id="CMIP6_prsnsn"        field_ref="dummy_not_provided"         /> <!-- P1 (1) mass_fraction_of_snowfall_onto_snow : The fraction of the snowfall which falls on the snow pack -->
    <field id="CMIP6_prw"           field_ref="prw"              /> <!-- P1 (kg m-2) atmosphere_water_vapor_content : vertically integrated through the atmospheric column -->
    <field id="CMIP6_ps"            field_ref="psol"             /> <!-- P1 (Pa) surface_air_pressure : surface pressure (not mean sea-level pressure), 2-D field to calculate the 3-D pressure field from hybrid coordinates -->
    <field id="CMIP6_psitem"        field_ref="dummy_XYA"      /> <!-- P1 (kg s^-1)  meridional_streamfunction_transformed_eulerian_mean : Residual mass streamfunction, computed from vstar and integrated from the top of the atmosphere (on the native model grid). Reference: Andrews et al (1987): Middle Atmospheric Dynamics. Academic Press. -->
    <field id="CMIP6_psl"           field_ref="slp"              /> <!-- P1 (Pa) air_pressure_at_sea_level : Sea Level Pressure -->
-   <field id="CMIP6_rainmxrat"     field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_rain_in_air : Rain mixing ratio -->
+   <field id="CMIP6_rainmxrat"     field_ref="dummy_not_provided"        /> <!-- P2 (1.0) mass_fraction_of_rain_in_air : Rain mixing ratio -->
    <field id="CMIP6_reffcclwtop"   field_ref="dummy_XY"         /> <!-- P1 (m) effective_radius_of_convective_cloud_liquid_water_particle_at_liquid_water_cloud_top : Droplets are liquid only.  This is the effective radius "as seen from space" over convective liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, or for some models it is the sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Reported values are weighted by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean.daily data, separated to large-scale clouds, convective clouds. If any of the cloud is from more than one process (i.e. shallow convection), please provide them separately. -->
    <field id="CMIP6_reffclic"      field_ref="dummy_XYA"        /> <!-- P2 (m) effective_radius_of_convective_cloud_ice_particle : This is defined as the in-cloud ratio of the third moment over the second moment of the particle size distribution (obtained by considering only the cloudy portion of the grid cell). -->
@@ -266,5 +266,5 @@
    <field id="CMIP6_smc"           field_ref="f_th"        /> <!-- P2 (kg m-2 s-1) atmosphere_net_upward_shallow_convective_mass_flux : The net mass flux represents the difference between the updraft and downdraft components.  For models with a distinct shallow convection scheme, this is calculated as convective mass flux divided by the area of the whole grid cell (not just the area of the cloud). -->
    <field id="CMIP6_snmsl"         field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_snow_melt_flux_into_soil_layer : Water flowing out of snowpack -->
-   <field id="CMIP6_snowmxrat"     field_ref="dummy_XYA"        /> <!-- P3 (1.0) mass_fraction_of_snow_in_air : Snow mixing ratio -->
+   <field id="CMIP6_snowmxrat"     field_ref="dummy_not_provided"         /> <!-- P3 (1.0) mass_fraction_of_snow_in_air : Snow mixing ratio -->
    <field id="CMIP6_snrefr"        field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2 s-1) surface_snow_and_ice_refreezing_flux : Re-freezing of water in the snow -->
    <field id="CMIP6_snwc"          field_ref="dummy_not_provided"         /> <!-- P1 (kg m-2) canopy_snow_amount : Total water mass of the snowpack (liquid or frozen), averaged over a grid cell and interecepted by the canopy. -->
@@ -281,7 +281,7 @@
    <field id="CMIP6_tas"           field_ref="t2m"              /> <!-- P1 (K) air_temperature : near-surface (usually, 2 meter) air temperature -->
    <field id="CMIP6_tasmax"        field_ref="CMIP6_tas" freq_op="1d"  operation="maximum"> @this </field>   <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
-   <field id="CMIP6_tasmaxCrop"    field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
+   <field id="CMIP6_tasmaxCrop"    field_ref="dummy_not_provided"         /> <!-- P1 (K) air_temperature : maximum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: max") -->
    <field id="CMIP6_tasmin"        field_ref="CMIP6_tas" freq_op="1d" operation="minimum"> @this  </field>   <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
-   <field id="CMIP6_tasminCrop"    field_ref="dummy_XY"         /> <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
+   <field id="CMIP6_tasminCrop"    field_ref="dummy_not_provided"         /> <!-- P1 (K) air_temperature : minimum near-surface (usually, 2 meter) air temperature (add cell_method attribute "time: min") -->
    <field id="CMIP6_tau"           field_ref="taux"              >  sqrt( taux^2 + tauy^2)        </field>   <!-- P1 (N m-2) surface_downward_stress : module of the momentum lost by the atmosphere to the surface. -->
    <field id="CMIP6_tauu"          field_ref="taux"             /> <!-- P1 (Pa) surface_downward_eastward_stress : Downward eastward wind stress at the surface -->
@@ -289,5 +289,5 @@
    <field id="CMIP6_tauv"          field_ref="tauy"             /> <!-- P1 (Pa) surface_downward_northward_stress : Downward northward wind stress at the surface -->
    <field id="CMIP6_tauvpbl"       field_ref="dummy_XY"         /> <!-- P1 (Pa) surface_downward_northward_stress_due_to_planetary_boundary_layer : The  downward northward stress associated with the models parameterization of the planetary boundary layer. (This request is related to a WGNE effort to understand how models parameterize the surface stresses.) -->
-   <field id="CMIP6_tdps"          field_ref="dummy_XY"         /> <!-- P2 (K) dew_point_temperature : unset -->
+   <field id="CMIP6_tdps"          field_ref="pvap"> 273.16 + (273.16 - 35.86)/(17.269/log(pvap/611.14)-1.)      </field> <!-- P2 (K) dew_point_temperature : unset -->
    <field id="CMIP6_tendacabf"     field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_surface_mass_balance : The total surface mass balance flux over land ice is a spatial integration of the surface mass balance flux -->
    <field id="CMIP6_tendlibmassbf" field_ref="dummy_not_provided"         /> <!-- P3 (kg s-1) tendency_of_land_ice_mass_due_to_basal_mass_balance : The total basal mass balance flux over land ice is a spatial integration of the basal mass balance flux -->
@@ -345,12 +345,12 @@
    <field id="CMIP6_wtem"          field_ref="dummy_XYA"        /> <!-- P1 (m s-1) unset : Transformed Eulerian Mean Diagnostics w*, meridional component of the residual meridional circulation (v*, w*) derived from 6 hr or higher frequency data fields (use instantaneous daily fields or 12 hr fields if the 6 hr data are not available). Scale height: 6950 m -->
    <field id="CMIP6_xgwdparam"     field_ref="east_gwstress"    /> <!-- P2 (Pa) atmosphere_eastward_stress_due_to_gravity_wave_drag : Parameterised x-component of gravity wave drag -->
-   <field id="CMIP6_ygwdparam"     field_ref="west_gwstress"        /> <!-- P2 (Pa) atmosphere_northward_stress_due_to_gravity_wave_drag : Parameterised y- component of gravity wave drag -->
+   <field id="CMIP6_ygwdparam"     field_ref="west_gwstress"    /> <!-- P2 (Pa) atmosphere_northward_stress_due_to_gravity_wave_drag : Parameterised y- component of gravity wave drag -->
    <field id="CMIP6_zfull"         field_ref="zfull"            /> <!-- P2 (m) height_above_reference_ellipsoid : Altitude of Model Full-Levels -->
-   <field id="CMIP6_zg"            field_ref="geop"               /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
+   <field id="CMIP6_zg"            field_ref="geop"             /> <!-- P1 (m) geopotential_height : Geopotential height on the 1000 hPa surface -->
    <field id="CMIP6_zhalf"         field_ref="zhalf"            /> <!-- P2 (m) height_above_reference_ellipsoid : Altitude of Model Half-Levels -->
-   <field id="CMIP6_zmla"          field_ref="dummy_XY"         /> <!-- P1 (m) atmosphere_boundary_layer_thickness : Height of Boundary Layer -->
+   <field id="CMIP6_zmla"          field_ref="s_pblh"           /> <!-- P1 (m) atmosphere_boundary_layer_thickness : Height of Boundary Layer -->
    <field id="CMIP6_zmlwaero"      field_ref="dummy_XYA"        /> <!-- P1 (K s-1) longwave_heating_rate_due_to_volcanic_aerosols : longwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
    <field id="CMIP6_zmswaero"      field_ref="dummy_XYA"        /> <!-- P1 (K s-1) shortwave_heating_rate_due_to_volcanic_aerosols : shortwave heating rate due to volcanic aerosols to be diagnosed through double radiation call, zonal average values required -->
-   <field id="CMIP6_zmtnt"         field_ref="dummy_XYA"        /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : The diabatic heating rates due to all the processes that may change potential temperature -->
+   <field id="CMIP6_zmtnt"         field_ref="tntmp"        /> <!-- P1 (K s-1) tendency_of_air_temperature_due_to_diabatic_processes : The diabatic heating rates due to all the processes that may change potential temperature -->
    <field id="CMIP6_ap" field_ref="Ahyb" /><!-- One of the hybrid coordinate arrays -->
    <field id="CMIP6_ap_bnds" field_ref="Ahyb_inter" /><!-- One of the hybrid coordinate arrays -->
Index: /LMDZ6/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3095)
@@ -74,4 +74,5 @@
         <field id="ndayrain"    long_name="Number of dayrain(liq+sol)"  unit="-" />
         <field id="precip"      long_name="Precip Totale liq+sol"       unit="kg/(s*m2)" />
+        <field id="rain_fall"   long_name="Precip Totale liq"       unit="kg/(s*m2)" />
         <field id="plul"    long_name="Large-scale Precip."     unit="kg/(s*m2)" />
         <field id="plun"    long_name="Numerical Precip."       unit="kg/(s*m2)" />
@@ -152,4 +153,5 @@
         <field id="fqfonte"    long_name="Land ice melt"    unit="kg/m2/s" />
         <field id="runofflic"  long_name="Land ice melt to ocean" unit="kg/m2/s" />
+        <field id="mrroli"  long_name="Runoff flux over land ice" unit="kg/m2/s" />
         <field id="taux"    long_name="Zonal wind stress"    unit="Pa" />
         <field id="tauy"    long_name="Meridional wind stress"    unit="Pa" />
@@ -677,4 +679,5 @@
         <field id="rldcs4co2"    long_name="Downwelling CS LW 4xCO2 atmosphere"    unit="W/m2" />
         <field id="stratomask"    long_name="Stratospheric fraction"    unit="-" />
+        <field id="pvap"    long_name="pvap intermediary variable" unit="-">pres*ovap*461.5 / (287.04*(1.+ (rv/rd - 1.)*ovap)) </field>
     </field_group>
 
Index: /LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histLES_lmdz.xml	(revision 3095)
@@ -58,4 +58,5 @@
                 <field field_ref="ndayrain" level="10" operation="instant" />
                 <field field_ref="precip" level="5" />
+                <field field_ref="rain_fall" level="5" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />
@@ -123,4 +124,5 @@
                 <field field_ref="fqcalving" level="10" />
                 <field field_ref="fqfonte" level="10" />
+                <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
                 <field field_ref="taux" level="10" />
Index: /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3095)
@@ -62,4 +62,5 @@
                 <field field_ref="ndayrain" level="10" operation="instant" />
                 <field field_ref="precip" level="1" />
+                <field field_ref="rain_fall" level="1" />
                 <field field_ref="plul" level="1" />
                 <field field_ref="plun" level="1" />
@@ -127,4 +128,5 @@
                 <field field_ref="fqcalving" level="10" />
                 <field field_ref="fqfonte" level="10" />
+                <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
                 <field field_ref="taux" level="10" />
Index: /LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histhf_lmdz.xml	(revision 3095)
@@ -62,4 +62,5 @@
                 <field field_ref="ndayrain" level="10" operation="instant" />
                 <field field_ref="precip" level="10" />
+                <field field_ref="rain_fall" level="10" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />
@@ -127,4 +128,5 @@
                 <field field_ref="fqcalving" level="10" />
                 <field field_ref="fqfonte" level="10" />
+                <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
                 <field field_ref="taux" level="10" />
Index: /LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histins_lmdz.xml	(revision 3095)
@@ -58,4 +58,5 @@
                 <field field_ref="ndayrain" level="10" operation="instant"  />
                 <field field_ref="precip" level="1" />
+                <field field_ref="rain_fall" level="1" />
                 <field field_ref="plul" level="1" />
                 <field field_ref="plun" level="1" />
@@ -123,4 +124,5 @@
                 <field field_ref="fqcalving" level="10" />
                 <field field_ref="fqfonte" level="10" />
+                <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
                 <field field_ref="taux" level="10" />
Index: /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3095)
@@ -91,4 +91,5 @@
                 <field field_ref="ndayrain" level="1" operation="instant" />
                 <field field_ref="precip"   level="1" />
+                <field field_ref="rain_fall"   level="1" />
                 <field field_ref="plul"     level="1" />
                 <field field_ref="plun"     level="1" />
@@ -156,4 +157,5 @@
                 <field field_ref="fqcalving" level="1" />
                 <field field_ref="fqfonte" level="1" />
+                <field field_ref="mrroli" level="1" />
                 <field field_ref="runofflic" level="1" />
                 <field field_ref="taux" level="1" />
Index: /LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 3094)
+++ /LMDZ6/trunk/DefLists/file_def_histstn_lmdz.xml	(revision 3095)
@@ -58,4 +58,5 @@
                 <field field_ref="ndayrain" level="10" operation="instant" />
                 <field field_ref="precip" level="10" />
+                <field field_ref="rain_fall" level="10" />
                 <field field_ref="plul" level="10" />
                 <field field_ref="plun" level="10" />
@@ -123,4 +124,5 @@
                 <field field_ref="fqcalving" level="10" />
                 <field field_ref="fqfonte" level="10" />
+                <field field_ref="mrroli" level="10" />
                 <field field_ref="runofflic" level="10" />
                 <field field_ref="taux" level="10" />
Index: /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3094)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3095)
@@ -330,4 +330,6 @@
     'ndayrain', 'Number of dayrain(liq+sol)', '-', &
       (/ "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)", "inst(X)" /))
+  TYPE(ctrl_out), SAVE :: o_rain_fall = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
+    'rain_fall', 'Precip Totale liq', 'kg/(s*m2)', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_precip = ctrl_out((/ 1, 1, 1, 10, 5, 10, 11, 11, 11, 11/), &
     'precip', 'Precip Totale liq+sol', 'kg/(s*m2)', (/ ('', i=1, 10) /))
@@ -477,4 +479,6 @@
   TYPE(ctrl_out), SAVE :: o_fqfonte = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'fqfonte', 'Land ice melt', 'kg/m2/s', (/ ('', i=1, 10) /))
+  TYPE(ctrl_out), SAVE :: o_mrroli = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
+    'mrroli', 'Runoff flux over land ice', 'kg/m2/s', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_runofflic = ctrl_out((/ 1, 10, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'runofflic', 'Land ice melt to ocean', 'kg/m2/s', (/ ('', i=1, 10) /))
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3094)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3095)
@@ -40,5 +40,5 @@
          o_wind10m, o_wind10max, o_gusts, o_sicf, &
          o_psol, o_mass, o_qsurf, o_qsol, &
-         o_precip, o_ndayrain, o_plul, o_pluc, o_plun, &
+         o_precip, o_rain_fall, o_ndayrain, o_plul, o_pluc, o_plun, &
          o_snow, o_msnow, o_fsnow, o_evap, o_ep,o_epmax_diag, & ! epmax_cape
          o_tops, o_tops0, o_topl, o_topl0, &
@@ -54,5 +54,5 @@
          o_bils_ec,o_bils_ech, o_bils_tke, o_bils_kinetic, &
          o_bils_latent, o_bils_enthalp, o_sens, &
-         o_fder, o_ffonte, o_fqcalving, o_fqfonte, o_runofflic, &
+         o_fder, o_ffonte, o_fqcalving, o_fqfonte, o_mrroli, o_runofflic, &
          o_taux, o_tauy, o_snowsrf, o_qsnow, &
          o_snowhgt, o_toice, o_sissnow, o_runoff, &
@@ -668,4 +668,5 @@
 
        CALL histwrite_phy(o_precip, zx_tmp_fi2d)
+       CALL histwrite_phy(o_rain_fall, rain_fall)
        CALL histwrite_phy(o_ndayrain, nday_rain)
 
@@ -799,4 +800,8 @@
        CALL histwrite_phy(o_fqcalving, zxfqcalving)
        CALL histwrite_phy(o_fqfonte, zxfqfonte)
+       IF (vars_defined) THEN
+          zx_tmp_fi2d(1:klon)=(zxfqfonte(1:klon)+rain_fall(1:klon))*pctsrf(1:klon,is_lic)
+       ENDIF
+       CALL histwrite_phy(o_mrroli, zx_tmp_fi2d)
        CALL histwrite_phy(o_runofflic, zxrunofflic)
        IF (vars_defined) THEN