Index: /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml
===================================================================
--- /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3116)
+++ /LMDZ6/trunk/DefLists/CMIP6_ping_atmos.xml	(revision 3117)
@@ -58,14 +58,14 @@
    <field id="CMIP6_clcalipsoice"  field_ref="clcalipsoice"     /> <!-- P1 (%) ice_cloud_area_fraction_in_atmosphere_layer : CALIPSO ice cloud Fraction -->
    <field id="CMIP6_clcalipsoliq"  field_ref="clcalipsoice"     /> <!-- P1 (%) liquid_cloud_area_fraction_in_atmosphere_layer : CALIPSO liquid cloud Fraction -->
-   <field id="CMIP6_cldicemxrat"   field_ref="cldicemxrat"        /> <!-- P3 (1.0) cloud_ice_mixing_ratio : Cloud ice mixing ratio -->
+   <field id="CMIP6_cldicemxrat"   field_ref="dummy_XYA"        /> <!-- P3 (1.0) cloud_ice_mixing_ratio : Cloud ice mixing ratio -->
    <field id="CMIP6_cldnci"        field_ref="dummy_XY"         /> <!-- P1 (m-3) number_concentration_of_ice_crystals_in_air_at_ice_cloud_top : Concentration 'as seen from space' over ice-cloud portion of grid cell.  This is the value from uppermost model layer with ice cloud or, if available, it is the sum over all ice cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total ice cloud top fraction (as seen from TOA) of each time sample when computing monthly mean. -->
    <field id="CMIP6_cldncl"        field_ref="cldncl"         /> <!-- P1 (m-3) number_concentration_of_cloud_liquid_water_particles_in_air_at_liquid_water_cloud_top : Droplets are liquid only.  Report concentration 'as seen from space' over liquid cloudy portion of grid cell.  This is the value from uppermost model layer with liquid cloud or, if available, it is better to sum over all liquid cloud tops, no matter where they occur, as long as they are seen from the top of the atmosphere. Weight by total liquid cloud top fraction of  (as seen from TOA) each time sample when computing monthly mean. -->
    <field id="CMIP6_cldnvi"        field_ref="cldnvi"           /> <!-- P1 (m-2) atmosphere_number_content_of_cloud_droplets : Droplets are liquid only.  Values are weighted by liquid cloud fraction in each layer when vertically integrating, and for monthly means the samples are weighted by total liquid cloud fraction (as seen from TOA). -->
-   <field id="CMIP6_cldwatmxrat"   field_ref="cldwatmxrat"        /> <!-- P2 (1.0) cloud_liquid_water_mixing_ratio : Cloud water mixing ratio -->
+   <field id="CMIP6_cldwatmxrat"   field_ref="dummy_XYA"        /> <!-- P2 (1.0) cloud_liquid_water_mixing_ratio : Cloud water mixing ratio -->
    <field id="CMIP6_clhcalipso"    field_ref="pclhcalipso"       /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in layer centred on 220hPa -->
    <field id="CMIP6_cli"           field_ref="iwcon"            /> <!-- P1 (kg kg-1) mass_fraction_of_cloud_ice_in_air : Includes both large-scale and convective cloud. This is calculated as the mass of cloud ice in the grid cell divided by the mass of air (including the water in all phases) in the grid cell. It includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
-   <field id="CMIP6_clic"          field_ref="icc3dcon"        /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clic"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_convective_cloud_ice_in_air : Calculated as the mass of convective cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_climodis"      field_ref="climodis"         /> <!-- P1 (%) ice_cloud_area_fraction : MODIS Ice Cloud Area Percentage -->
-   <field id="CMIP6_clis"          field_ref="icc3dstra"        /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
+   <field id="CMIP6_clis"          field_ref="dummy_XYA"        /> <!-- P2 (1.0) mass_fraction_of_stratiform_cloud_ice_in_air : Calculated as the mass of stratiform cloud ice  in the grid cell divided by the mass of air (including the water in all phases) in the grid cell.  This includes precipitating hydrometeors ONLY if the precipitating hydrometeors affect the calculation of radiative transfer in model. -->
    <field id="CMIP6_clisccp"       field_ref="clisccp2"         /> <!-- P1 (%) cloud_area_fraction_in_atmosphere_layer : Percentage cloud cover in optical depth categories. -->
    <field id="CMIP6_clivi"         field_ref="iwp"              /> <!-- P1 (kg m-2) atmosphere_cloud_ice_content : mass of ice water in the column divided by the area of the column (not just the area of the cloudy portion of the column). Includes precipitating frozen hydrometeors ONLY if the precipitating hydrometeor affects the calculation of radiative transfer in model. -->
@@ -168,6 +168,5 @@
    <field id="CMIP6_od550so4so"    field_ref="dummy_not_provided"         /> <!-- P1 (1.0) missing : Balkanski - LSCE -->
    <field id="CMIP6_od865dust"     field_ref="dummy_not_provided"         /> <!-- P1 (1.0) atmosphere_optical_thickness_due_to_dust_ambient_aerosol_particles : Balkanski - LSCE -->
-   <field id="CMIP6_parasolRefl_sea" field_ref="parasol_refl"> parasol_refl*fract_oce </field> <!-- P1 (1.0) toa_bidirectional_reflectance : Simulated reflectance from PARASOL as seen at the top of the atmosphere for 5 solar zenith angles. Valid only over ocean and for one viewing direction (viewing zenith angle of 30 degrees and relative azimuth angle 320 degrees). -->
-   <field id="HomeCMIP6_parasolCRefl" field_ref="parasol_crefl" /> <!-- P4 (1.0) toa_bidirectional_reflectance (integral) : Simulated reflectance from PARASOL as seen at the top of the atmosphere integrated over all 5 solar zenith angles. -->
+   <field id="CMIP6_parasolRefl_sea" field_ref="parasolRefl"> parasolRefl*fract_oce </field> <!-- P1 (1.0) toa_bidirectional_reflectance : Simulated reflectance from PARASOL as seen at the top of the atmosphere for 5 solar zenith angles. Valid only over ocean and for one viewing direction (viewing zenith angle of 30 degrees and relative azimuth angle 320 degrees). -->
    <field id="CMIP6_pctisccp"      field_ref="ctpisccp"         /> <!-- P1 (Pa) air_pressure_at_cloud_top : ISCCP Mean Cloud Top Pressure. Time-means are weighted by the ISCCP Total Cloud Fraction {:cltisccp} - see  http://cfmip.metoffice.com/COSP.html -->
    <field id="CMIP6_pfull"         field_ref="pres"             /> <!-- P1 (Pa) air_pressure : Air pressure on model levels -->
@@ -231,6 +230,6 @@
    <field id="CMIP6_rsdscsafbnd"   field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_downwelling_shortwave_flux_in_air_assuming_clean_clear_sky : Calculated in the absence of aerosols and clouds, following Ghan (2013, ACP). This requires a double-call in the radiation code with precisely the same meteorology. -->
    <field id="CMIP6_rsdscsbnd"     field_ref="dummy_not_provided"         /> <!-- P1 (W m-2) surface_downwelling_shortwave_flux_in_air_assuming_clear_sky : Calculated with aerosols but without clouds. This is a standard clear-sky calculation -->
-   <field id="CMIP6_rsdscsdiff"    field_ref="rsdscsdiff"         /> <!-- P1 (W m-2) surface_diffuse_downwelling_shortwave_flux_in_air_assuming_clear_sky : unset -->
-   <field id="CMIP6_rsdsdiff"      field_ref="rsdsdiff"         /> <!-- P1 (W m-2) surface_diffuse_downwelling_shortwave_flux_in_air : unset -->
+   <field id="CMIP6_rsdscsdiff"    field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_diffuse_downwelling_shortwave_flux_in_air_assuming_clear_sky : unset -->
+   <field id="CMIP6_rsdsdiff"      field_ref="dummy_XY"         /> <!-- P1 (W m-2) surface_diffuse_downwelling_shortwave_flux_in_air : unset -->
    <field id="CMIP6_rsdt"          field_ref="SWdnTOA"          /> <!-- P1 (W m-2) toa_incoming_shortwave_flux : Shortwave radiation incident at the top of the atmosphere -->
    <field id="CMIP6_rss"           field_ref="sols"             /> <!-- P1 (W m-2) surface_net_downward_shortwave_flux : Net downward shortwave radiation at the surface -->
Index: /LMDZ6/trunk/DefLists/field_def_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3116)
+++ /LMDZ6/trunk/DefLists/field_def_lmdz.xml	(revision 3117)
@@ -568,8 +568,4 @@
         <field id="lcc3dcon"    long_name="Convective cloud liquid fraction"    unit="1" />
         <field id="lcc3dstra"    long_name="Stratiform cloud liquid fraction"    unit="1" />
-        <field id="cldwatmxrat"    long_name="Cloud Water Mixing Ratio"    unit="1" />
-        <field id="icc3dcon"    long_name="Mass Fraction of Convective Cloud Ice"    unit="kg/kg" />
-        <field id="icc3dstra"    long_name="Mass Fraction of Stratiform Cloud Ice "    unit="kg/kg" />
-        <field id="cldicemxrat"    long_name="Cloud Ice Mixing Ratio"    unit="1" />
         <field id="clwcon"    long_name="Convective Cloud Liquid water content"    unit="kg/kg" />
         <field id="Ma"    long_name="undilute adiab updraft"    unit="kg/m2/s" />
@@ -808,7 +804,5 @@
 
     <field_group id="fields_solbnd_3D" grid_ref="grid_glo_spectband" >
-      <field id="solbnd"    long_name="Top-of-Atmosphere Solar Insolation for each band" unit="W m-2" />
-      <field id="rsdsdiff"  long_name="Surface Diffuse Downwelling Shortwave Radiation"  unit="W m-2" />
-      <field id="rsdscsdiff" long_name="Surface Diffuse Downwelling Clear Sky Shortwave Radiation" unit="W m-2" />
+      <field id="solbnd"    long_name="Top-of-Atmosphere Solar Insolation for each band"    unit="W m-2" />
     </field_group>
 
Index: /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3116)
+++ /LMDZ6/trunk/DefLists/file_def_histday_lmdz.xml	(revision 3117)
@@ -512,8 +512,4 @@
                 <field field_ref="lcc3dcon" level="6" />
                 <field field_ref="lcc3dstra" level="6" />
-                <field field_ref="cldwatmxrat" level="2" />
-                <field field_ref="icc3dcon" level="6" />
-                <field field_ref="icc3dstra" level="6" />
-                <field field_ref="cldicemxrat" level="2" />
                 <field field_ref="clwcon" level="10" />
                 <field field_ref="Ma" level="10" />
@@ -626,12 +622,4 @@
                 <field field_ref="rldcs4co2" level="10" />
             </field_group>
-
-            <!-- VARS 3D -->
-            <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_spectband">
-                <field field_ref="solbnd" level="4" />
-                <field field_ref="rsdsdiff" level="4" />
-                <field field_ref="rsdscsdiff" level="4" />
-            </field_group>
-
         </file>
     </file_group>
Index: /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml
===================================================================
--- /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3116)
+++ /LMDZ6/trunk/DefLists/file_def_histmth_lmdz.xml	(revision 3117)
@@ -554,8 +554,4 @@
                 <field field_ref="lcc3dcon" level="2" />
                 <field field_ref="lcc3dstra" level="2" />
-                <field field_ref="cldwatmxrat" level="2" />
-                <field field_ref="icc3dcon" level="2" />
-                <field field_ref="icc3dstra" level="2" />
-                <field field_ref="cldicemxrat" level="2" />
                 <field field_ref="clwcon" level="4" />
                 <field field_ref="Ma" level="4" />
@@ -672,6 +668,4 @@
             <field_group operation="average" freq_op="1ts" grid_ref="grid_glo_spectband">
                 <field field_ref="solbnd" level="4" />
-                <field field_ref="rsdsdiff" level="4" />
-                <field field_ref="rsdscsdiff" level="4" />
             </field_group>
 
Index: /LMDZ6/trunk/libf/phylmd/newmicro.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/newmicro.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/newmicro.F90	(revision 3117)
@@ -10,5 +10,5 @@
   USE dimphy
   USE phys_local_var_mod, ONLY: scdnc, cldncl, reffclwtop, lcc, reffclws, &
-    reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra, zfice
+    reffclwc, cldnvi, lcc3d, lcc3dcon, lcc3dstra
   USE phys_state_var_mod, ONLY: rnebcon, clwcon
   USE icefrac_lsc_mod ! computes ice fraction (JBM 3/14)
@@ -152,4 +152,5 @@
   REAL zrho(klon, klev) !--rho pour la couche
   REAL dh(klon, klev) !--dz pour la couche
+  REAL zfice(klon, klev)
   REAL rad_chaud(klon, klev) !--rayon pour les nuages chauds
   REAL rad_chaud_pi(klon, klev) !--rayon pour les nuages chauds pre-industriels
@@ -585,11 +586,4 @@
         lcc3dstra(i, k) = lcc3dstra(i, k) - lcc3dcon(i, k) ! eau liquide stratiforme
         lcc3dstra(i, k) = max(lcc3dstra(i,k), 0.0)
-        !
-        icc3dcon(i, k) = rnebcon(i, k)*(1-phase3d(i, k))*clwcon(i, k) ! glace
-                                                                      ! convective
-        icc3dstra(i, k) = pclc(i, k)*pqlwp(i, k)*(1-phase3d(i, k))
-        icc3dstra(i, k) = icc3dstra(i, k) - icc3dcon(i, k) ! glace stratiforme
-        icc3dstra(i, k) = max( icc3dstra(i, k), 0.0) 
-        !
         ! Compute cloud droplet radius as above in meter
         radius = 1.1*((pqlwp(i,k)*pplay(i,k)/(rd*t(i,k)))/(4./3*rpi*1000.* &
@@ -632,6 +626,4 @@
         IF (lcc3dcon(i,k)<=0.0) lcc3dcon(i, k) = 0.0
         IF (lcc3dstra(i,k)<=0.0) lcc3dstra(i, k) = 0.0
-        IF (icc3dcon(i,k)<=0.0) icc3dcon(i, k) = 0.0
-        IF (icc3dstra(i,k)<=0.0) icc3dstra(i, k) = 0.0 
       END DO
       IF (reffclwtop(i)<=0.0) reffclwtop(i) = 0.0
Index: /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/phys_local_var_mod.F90	(revision 3117)
@@ -140,6 +140,4 @@
       REAL, SAVE, ALLOCATABLE :: ZFSDN0(:,:),  ZFSUP0(:,:)      ! diag
       !$OMP THREADPRIVATE(ZFSDN0,ZFSUP0)
-      REAL, SAVE, ALLOCATABLE :: PSFSWDIR(:,:), PSFSWDIF(:,:)
-      !$OMP THREADPRIVATE(PSFSWDIR, PSFSWDIF)
 !
       REAL, SAVE, ALLOCATABLE :: stratomask(:,:) 
@@ -171,10 +169,4 @@
       REAL, SAVE, ALLOCATABLE :: lcc3dstra(:,:)
       !$OMP THREADPRIVATE(lcc3dstra)
-      REAL, SAVE, ALLOCATABLE :: icc3dstra(:,:)
-      !$OMP THREADPRIVATE(icc3dstra)
-      REAL, SAVE, ALLOCATABLE :: icc3dcon(:,:)
-      !$OMP THREADPRIVATE(icc3dcon)
-      REAL, SAVE, ALLOCATABLE :: zfice(:,:)
-      !$OMP THREADPRIVATE(zfice)
       REAL, SAVE, ALLOCATABLE :: od443aer(:) 
       !$OMP THREADPRIVATE(od443aer) 
@@ -524,6 +516,5 @@
 USE phys_state_var_mod
 
-      IMPLICIT NONE
-      include "clesphys.h"
+IMPLICIT NONE
       ALLOCATE(t_seri(klon,klev),q_seri(klon,klev),ql_seri(klon,klev),qs_seri(klon,klev))
       ALLOCATE(u_seri(klon,klev),v_seri(klon,klev))
@@ -573,5 +564,4 @@
       ALLOCATE(ZLWFT0_i(klon,klev+1),ZSWFT0_i(klon,klev+1),ZFLDN0(klon,klev+1))
       ALLOCATE(ZFLUP0(klon,klev+1),ZFSDN0(klon,klev+1),ZFSUP0(klon,klev+1))
-      ALLOCATE(PSFSWDIR(klon,NSW), PSFSWDIF(klon,NSW))
 !
       ALLOCATE(topswad_aero(klon), solswad_aero(klon))
@@ -603,7 +593,4 @@
       ALLOCATE(lcc3dcon(klon, klev))
       ALLOCATE(lcc3dstra(klon, klev))
-      ALLOCATE(icc3dcon(klon, klev))
-      ALLOCATE(icc3dstra(klon, klev))
-      ALLOCATE(zfice(klon, klev))
       ALLOCATE(od443aer(klon))
       ALLOCATE(od550aer(klon))
@@ -858,7 +845,4 @@
       DEALLOCATE(d_u_lif,d_v_lif)
       DEALLOCATE(d_ts, d_tr)
-      DEALLOCATE(ZLWFT0_i,ZSWFT0_i,ZFLDN0)
-      DEALLOCATE(ZFLUP0,ZFSDN0,ZFSUP0)
-      DEALLOCATE(PSFSWDIR, PSFSWDIF)
       DEALLOCATE(topswad_aero,solswad_aero)
       DEALLOCATE(topswai_aero,solswai_aero)
@@ -884,7 +868,4 @@
       DEALLOCATE(lcc3dcon)
       DEALLOCATE(lcc3dstra)
-      DEALLOCATE(icc3dcon)
-      DEALLOCATE(icc3dstra)
-      DEALLOCATE(zfice)
       DEALLOCATE(od443aer)
       DEALLOCATE(od550aer)
Index: /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_ctrlout_mod.F90	(revision 3117)
@@ -1447,22 +1447,6 @@
   TYPE(ctrl_out), SAVE :: o_lcc3dstra = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'lcc3dstra', 'Stratiform cloud liquid fraction', '1', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_icc3dcon = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'icc3dcon', 'Mass Fraction of Convective Cloud Ice', &
-    'kg kg-1', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_icc3dstra = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'icc3dstra', 'Mass Fraction of Stratiform Cloud Ice', &
-    'kg kg-1', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_cldicemxrat = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'cldicemxrat', 'Cloud Ice Mixing Ratio', &
-    '1', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_cldwatmxrat = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'cldwatmxrat', 'Cloud Water Mixing Ratio', &
-    '1', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_solbnd = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'solbnd', 'Top-of-Atmosphere Solar Insolation for each band', 'W m-2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_rsdsdiff = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsdsdiff', 'Surface Diffuse Downwelling Shortwave Radiation', 'W m-2', (/ ('', i=1, 10) /))
-  TYPE(ctrl_out), SAVE :: o_rsdscsdiff = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
-    'rsdscsdiff', 'Surface Diffuse Downwelling Clear Sky Shortwave Radiation', 'W m-2', (/ ('', i=1, 10) /))
   TYPE(ctrl_out), SAVE :: o_stratomask = ctrl_out((/ 2,  6, 10, 10, 10, 10, 11, 11, 11, 11/), &
     'stratomask', 'Stratospheric fraction', '1', (/ ('', i=1, 10) /))
Index: /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/phys_output_write_mod.F90	(revision 3117)
@@ -120,9 +120,7 @@
          o_swtoacf_zero, o_swsrfcf_zero, &
          o_topswai, o_solswai, o_toplwai, o_sollwai, o_scdnc, &
-         o_cldncl, o_reffclws, o_reffclwc, o_solbnd, &
-         o_rsdsdiff, o_rsdscsdiff, o_stratomask,&
+         o_cldncl, o_reffclws, o_reffclwc, o_solbnd, o_stratomask,&
          o_cldnvi, o_lcc, o_lcc3d, o_lcc3dcon, &
-         o_lcc3dstra, o_icc3dcon, o_icc3dstra, &
-         o_cldicemxrat, o_cldwatmxrat, o_reffclwtop, o_ec550aer, &
+         o_lcc3dstra, o_reffclwtop, o_ec550aer, &
          o_lwcon, o_iwcon, o_temp, o_theta, &
          o_ovapinit, o_ovap, o_oliq, o_ocond, o_geop, &
@@ -279,8 +277,6 @@
          toplwad_aero, toplwad0_aero, sollwad_aero, &
          sollwad0_aero, toplwai_aero, sollwai_aero, &
-         scdnc, cldncl, reffclws, reffclwc, cldnvi, &
-         PSFSWDIR, PSFSWDIF, stratomask,&
-         lcc, lcc3d, lcc3dcon, lcc3dstra, icc3dcon, icc3dstra, &
-         zfice, reffclwtop, &
+         scdnc, cldncl, reffclws, reffclwc, cldnvi, stratomask,&
+         lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
          ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
          ql_seri, qs_seri, tr_seri, &
@@ -1410,9 +1406,4 @@
           CALL histwrite_phy(o_lcc3dcon, lcc3dcon)
           CALL histwrite_phy(o_lcc3dstra, lcc3dstra)
-          CALL histwrite_phy(o_icc3dcon, icc3dcon)
-          CALL histwrite_phy(o_icc3dstra, icc3dstra)
-          CALL histwrite_phy(o_cldicemxrat, zfice)
-          zx_tmp_fi3d(:,:)=1-zfice(:,:)
-          CALL histwrite_phy(o_cldwatmxrat, zx_tmp_fi3d)
           CALL histwrite_phy(o_reffclwtop, reffclwtop)
        ENDIF
@@ -1441,5 +1432,4 @@
 #ifdef CPP_RRTM
       IF (iflag_rrtm.EQ.1) THEN
-
        IF (vars_defined) THEN
         DO ISW=1, NSW
@@ -1448,13 +1438,4 @@
         CALL histwrite_phy(o_solbnd, zx_tmp_fi3dsp)
        ENDIF
-
-       IF (vars_defined) THEN
-        CALL histwrite_phy(o_rsdscsdiff, PSFSWDIR)
-       ENDIF
-
-       IF (vars_defined) THEN
-        CALL histwrite_phy(o_rsdsdiff, PSFSWDIF)
-       ENDIF
-
       ENDIF
 #endif
Index: /LMDZ6/trunk/libf/phylmd/physiq_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/physiq_mod.F90	(revision 3117)
@@ -80,5 +80,4 @@
        ZLWFT0_i,ZSWFT0_i,ZFLDN0,  &
        ZFLUP0,ZFSDN0,ZFSUP0,      &
-       PSFSWDIR, PSFSWDIF, &
        !
        topswad_aero,solswad_aero,   &
@@ -3793,6 +3792,5 @@
                                 !-end
                ZLWFT0_i, ZFLDN0, ZFLUP0, &
-               ZSWFT0_i, ZFSDN0, ZFSUP0, &
-               PSFSWDIR, PSFSWDIF)
+               ZSWFT0_i, ZFSDN0, ZFSUP0)
 
           !lwoff=y, betalwoff=1. : offset LW CRE for radiation code and other
@@ -3878,6 +3876,5 @@
                                 !-end
                      ZLWFT0_i, ZFLDN0, ZFLUP0, &
-                     ZSWFT0_i, ZFSDN0, ZFSUP0, &
-                     PSFSWDIR, PSFSWDIF)
+                     ZSWFT0_i, ZFSDN0, ZFSUP0)
           endif !ok_4xCO2atm
        ENDIF ! aerosol_couple
Index: /LMDZ6/trunk/libf/phylmd/radlwsw_m.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 3116)
+++ /LMDZ6/trunk/libf/phylmd/radlwsw_m.F90	(revision 3117)
@@ -42,6 +42,5 @@
 !-end
    ZLWFT0_i, ZFLDN0, ZFLUP0,&
-   ZSWFT0_i, ZFSDN0, ZFSUP0,&
-   PSFSWDIR, PSFSWDIF)
+   ZSWFT0_i, ZFSDN0, ZFSUP0)
 
 